Bug 481544 - Review Request: perl-Bio-Graphics - Generate GD images of Bio::Seq objects
Review Request: perl-Bio-Graphics - Generate GD images of Bio::Seq objects
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 03:51 EST by Alex Lancaster
Modified: 2013-02-08 15:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 08:05:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2009-01-26 03:51:37 EST
Spec URL: http://alexlan.fedorapeople.org/reviews/perl-Bio-Graphics.spec
SRPM URL: http://alexlan.fedorapeople.org/reviews/perl-Bio-Graphics-1.83-2.fc11.src.rpm
Description: 
Bio::Graphics is a simple GD-based renderer (diagram drawer) for DNA and protein sequences.  The Bio::Graphics::Panel class provides drawing and formatting services for any object that implements the Bio::SeqFeatureI interface, including Ace::Sequence::Feature, Das::Segment::Feature and Bio::DB::Graphics objects.  It can be used to draw sequence annotations, physical (contig) maps, protein domains, or any other type of map in which a set of discrete ranges need to be laid out on the number line.

(This module used to be part of the perl-bioperl, but is now a standalone CPAN module that requires perl-bioperl.)
Comment 1 Alex Lancaster 2009-01-26 03:54:41 EST
koji scratch build in F-11/rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1082184
Comment 2 Parag AN(पराग) 2009-01-26 06:18:34 EST
Review:
+ package builds in mock (rawhide i386).
koji build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=1082184
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
1c1de50c9261b3e6a1b20e2f38701aa7  Bio-Graphics-1.83.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=1, Tests=49,  1 wallclock secs ( 0.02 usr  0.00 sys +  0.55 cusr  0.05 csys =  0.62 CPU)
+ Package  perl-Bio-Graphics-1.83-2.fc11->
Provides: perl(Bio::Graphics) = 1.83 perl(Bio::Graphics::ConfiguratorI) perl(Bio::Graphics::DrawTransmembrane) perl(Bio::Graphics::Feature) perl(Bio::Graphics::FeatureBase) perl(Bio::Graphics::FeatureFile) perl(Bio::Graphics::FeatureFile::Iterator) perl(Bio::Graphics::Glyph) perl(Bio::Graphics::Glyph::Factory) perl(Bio::Graphics::Glyph::alignment) perl(Bio::Graphics::Glyph::anchored_arrow) perl(Bio::Graphics::Glyph::arrow) perl(Bio::Graphics::Glyph::box) perl(Bio::Graphics::Glyph::broken_line) perl(Bio::Graphics::Glyph::cds) perl(Bio::Graphics::Glyph::christmas_arrow) perl(Bio::Graphics::Glyph::crossbox) perl(Bio::Graphics::Glyph::dashed_line) perl(Bio::Graphics::Glyph::diamond)
 perl(Bio::Graphics::Glyph::dna) perl(Bio::Graphics::Glyph::dot) perl(Bio::Graphics::Glyph::dumbbell) perl(Bio::Graphics::Glyph::ellipse) perl(Bio::Graphics::Glyph::ex) perl(Bio::Graphics::Glyph::extending_arrow) perl(Bio::Graphics::Glyph::fixedwidth) perl(Bio::Graphics::Glyph::flag) perl(Bio::Graphics::Glyph::gene) perl(Bio::Graphics::Glyph::generic) perl(Bio::Graphics::Glyph::graded_segments) perl(Bio::Graphics::Glyph::group) perl(Bio::Graphics::Glyph::heat_map) perl(Bio::Graphics::Glyph::heat_map_ideogram) perl(Bio::Graphics::Glyph::heterogeneous_segments) perl(Bio::Graphics::Glyph::ideogram) perl(Bio::Graphics::Glyph::image) perl(Bio::Graphics::Glyph::lightning) perl(Bio::Graphics::Glyph::line) perl(Bio::Graphics::Glyph::merge_parts) perl(Bio::Graphics::Glyph::merged_alignment) perl(Bio::Graphics::Glyph::minmax) perl(Bio::Graphics::Glyph::oval) perl(Bio::Graphics::Glyph::pentagram) perl(Bio::Graphics::Glyph::phylo_align) perl(Bio::Graphics::Glyph::pinsertion) perl(Bio::Graphics::Glyph::primers) perl(Bio::Graphics::Glyph::processed_transcript) perl(Bio::Graphics::Glyph::protein) perl(Bio::Graphics::Glyph::ragged_ends) perl(Bio::Graphics::Glyph::redgreen_box) perl(Bio::Graphics::Glyph::redgreen_segment) perl(Bio::Graphics::Glyph::repeating_shape) perl(Bio::Graphics::Glyph::rndrect) perl(Bio::Graphics::Glyph::ruler_arrow) perl(Bio::Graphics::Glyph::saw_teeth) perl(Bio::Graphics::Glyph::segmented_keyglyph) perl(Bio::Graphics::Glyph::segments) perl(Bio::Graphics::Glyph::smoothing) perl(Bio::Graphics::Glyph::so_transcript) perl(Bio::Graphics::Glyph::span) perl(Bio::Graphics::Glyph::spectrogram) perl(Bio::Graphics::Glyph::splice_site) perl(Bio::Graphics::Glyph::stackedplot) perl(Bio::Graphics::Glyph::ternary_plot) perl(Bio::Graphics::Glyph::text_in_box) perl(Bio::Graphics::Glyph::three_letters) perl(Bio::Graphics::Glyph::tic_tac_toe) perl(Bio::Graphics::Glyph::toomany) perl(Bio::Graphics::Glyph::trace) perl(Bio::Graphics::Glyph::track) perl(Bio::Graphics::Glyph::transcript) perl(Bio::Graphics::Glyph::transcript2) perl(Bio::Graphics::Glyph::translation) perl(Bio::Graphics::Glyph::triangle) perl(Bio::Graphics::Glyph::two_bolts) perl(Bio::Graphics::Glyph::wave) perl(Bio::Graphics::Glyph::weighted_arrow) perl(Bio::Graphics::Glyph::whiskerplot) perl(Bio::Graphics::Glyph::wiggle_box) perl(Bio::Graphics::Glyph::wiggle_density) perl(Bio::Graphics::Glyph::wiggle_xyplot) perl(Bio::Graphics::Glyph::xyplot) perl(Bio::Graphics::Panel) perl(Bio::Graphics::Pictogram) perl(Bio::Graphics::RendererI) perl(Bio::Graphics::Util) perl(Bio::Graphics::Wiggle) perl(Bio::Graphics::Wiggle::Loader)

Requires: /usr/bin/perl perl(Bio::AlignIO) perl(Bio::Assembly::IO) perl(Bio::Coordinate::Pair) perl(Bio::DB::GFF::Util::Rearrange) perl(Bio::DB::SeqFeature::Store) perl(Bio::Graphics) perl(Bio::Graphics::Browser::Util) perl(Bio::Graphics::Feature) perl(Bio::Graphics::FeatureFile) perl(Bio::Graphics::Glyph::Factory) perl(Bio::Graphics::Glyph::generic) perl(Bio::Graphics::Glyph::minmax) perl(Bio::Graphics::Glyph::segments) perl(Bio::Graphics::Glyph::xyplot) perl(Bio::Graphics::Panel) perl(Bio::Graphics::Util) perl(Bio::Graphics::Wiggle) perl(Bio::Location::Simple) perl(Bio::Root::Version) perl(Bio::SCF) perl(Bio::SearchIO) perl(Bio::SeqFeature::Generic) perl(Bio::SeqIO) perl(Bio::Tools::CodonTable) perl(Bio::Tools::GuessSeqFormat) perl(Bio::TreeIO) perl(CGI) perl(CGI::Carp) perl(Carp) perl(Cwd) perl(Data::Dumper) perl(Digest::MD5) perl(Dumpvalue) perl(Exporter) perl(File::Basename) perl(File::Path) perl(File::Spec) perl(File::Temp) perl(File::stat) perl(GD) perl(GD::Simple) perl(Getopt::Long) perl(IO::File) perl(IO::Seekable) perl(List::Util) perl(Math::Trig) perl(Memoize) perl(POSIX) perl(SVG) >= 2.26 perl(Statistics::Descriptive) perl(Text::ParseWords) perl(base) perl(constant) perl(lib) perl(strict) perl(vars) perl(warnings)


APPROVED.
Comment 3 Alex Lancaster 2009-01-26 07:36:43 EST
Thanks for the review!

New Package CVS Request
=======================
Package Name: perl-Bio-Graphics
Short Description: Graphics support for generating images of BioPerl objects
Owners: alexlan perl-sig
Branches: F-9, F-10
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2009-01-26 17:26:54 EST
perl-sig cannot be a co-maintainer. 

cvs done without that.
Comment 5 Alex Lancaster 2009-02-06 08:05:48 EST
Build done and available in rawhide:

http://koji.fedoraproject.org/koji/buildinfo?buildID=80541

Closing bug.  (Will do F-10 and F-9 branches when perl-bioperl{-run} is officially released}.

Note You need to log in before you can comment on or make changes to this bug.